iconpath = "__magical-boxes__/graphics/icons/"
entitypath = "__magical-boxes__/graphics/entity/"

data:extend({
{
	type = "container",
	name = "magical-box",
	icon = iconpath.."magical-box.png",
	flags = {"placeable-neutral", "player-creation"},
	max_health = 50,
	collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
	selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
	inventory_size = 0,
	vehicle_impact_sound =  { filename = "__base__/sound/car-metal-impact.ogg", volume = 0.65 },
	picture =
	{
		filename = entitypath.."magical-box.png",
		priority = "extra-high",
		width = 48,
		height = 34,
		shift = {0.2, 0}
	},
}
})
